#Import psi::sim library
namespace import psi::sim::*

#suppress messages
compile_suppress 135,1236
run_suppress 8684,3479,3813,8009,3812

#Set library path relative to this config file
variable fileLoc [file normalize [file dirname [info script]]]
variable LibPath $fileLoc/../../../..

# tosca2_glb_pkg dependency
add_library tosca2

add_sources $LibPath/BoardSupport/IFC1210/tosca2/hdl/top_ip/src {
  tosca2_glb_pkg.vhd \
} -version 2002

add_sources $LibPath/BoardSupport/IFC1210/tosca2/testbench/utilities {
 ifc1210_simu_mapping_xuser_pkg.vhd \
 ifc1210_simu_procedures_pkg.vhd \
} 

#Set library
add_library evr320

# psi_common dependency:
add_sources $LibPath/Firmware/VHDL/psi_common/hdl {
  psi_common_array_pkg.vhd \
  psi_common_math_pkg.vhd \
  psi_common_logic_pkg.vhd \
  psi_common_sdp_ram.vhd \
  psi_common_pulse_cc.vhd \
  psi_common_async_fifo.vhd \
  psi_common_clk_meas.vhd \
  psi_common_pulse_shaper_cfg.vhd \
  psi_common_delay_cfg.vhd \
  psi_common_simple_cc.vhd \
  psi_common_status_cc.vhd \
} -tag psi_common

# EVR320 Decoder
add_sources $LibPath/Firmware/VHDL/evr320/hdl {
	evr320_pkg.vhd \
	evr320_buffer.vhd \
	evr320_dpram.vhd \
	evr320_timestamp.vhd \
	evr320_decoder.vhd \
  evr320_data_filter.vhd \
} -tag evr320_decoder


# IFC1210 Bindings
add_sources $LibPath/Firmware/VHDL/evr320/hdl {
	v6vlx_gtxe1_pkg.vhd \
	v6vlx_gtxe1_101MHz27_1Gbps0127.vhd \
	v6vlx_gtxe1_142MHz8_2Gbps856.vhd \
	v6vlx_gtxe1_sync.vhd \
	v6vlx_gtxe1_wrapper.vhd \
	evr320_tmem.vhd \
	evr320_ifc1210_wrapper.vhd \
} -tag evr320_ifc1210

# EVR320 Decoder Testbench
add_sources $LibPath/Firmware/VHDL/evr320/tb {
	evr320_decoder_tb.vhd \
} -tag evr320_tb

# EVR320 IFC1210 Wrapper Testbench
#add_sources $LibPath/Firmware/VHDL/evr320/tb {
#	evr320_ifc1210_wrapper_tb.vhd \
#} -tag evr320_ifc1210_wrapper_tb

# setup tb runs
create_tb_run "evr320_decoder_tb"
tb_run_add_arguments \
	"-gg_EVENT_NR_0=16#0F# -gg_EVENT_NR_1=0 -gg_EVENT_NR_2=0 -gg_EVENT_NR_3=0 -gg_EVENT_NR_SOS=0" \
	"-gg_EVENT_NR_0=2      -gg_EVENT_NR_1=4 -gg_EVENT_NR_2=0 -gg_EVENT_NR_3=3 -gg_EVENT_NR_SOS=0" \
	"-gg_EVENT_NR_0=0      -gg_EVENT_NR_1=0 -gg_EVENT_NR_2=5 -gg_EVENT_NR_3=0 -gg_EVENT_NR_SOS=6" 
add_tb_run

create_tb_run "evr320_ifc1210_wrapper_tb"
add_tb_run
