# Library Path
set LibPath "../../../.."

# Configure UVVM -> until compile when not existing
set uvvm_path $LibPath/Firmware/VHDL/UVVM/uvvm_util
if {[file isdirectory uvvm_util]} {
  puts "UVVM directory evr320/sim/uvvm_util is present --> not compiled again!"
} else {
  do $uvvm_path/script/compile_src.do $uvvm_path
}

#Load dependencies TODO
source $LibPath/Firmware/TCL/PsiSim/PsiSim.tcl

#Import psi::sim library
namespace import psi::sim::*

#Initialize Simulation
init

#Configure
source ./config.tcl

# Run Simulation
puts "------------------------------"
puts "-- Compile"
puts "------------------------------"
clean_libraries -all
compile_files -tag psi_common
compile_files -lib tosca2
compile_files -tag evr320_decoder
compile_files -tag evr320_ifc1210
#compile_files -tag evr320_decoder_tb
compile_files -tag evr320_tb
#compile_files -lib evr320

#run_tb -all
run_tb -name evr320_decoder_tb
run_tb -name evr320_ifc1210_wrapper_tb
run_check_errors "###ERROR###"
